vos remsite                AFS Commands             vos remsite


NAME

   vos  remsite -- remove ReadOnly site definition from a VLDB

                       entry.


   vos remsite  -server <machine name>  -partition <partition
   name>        -id <volume name or ID>  [-cell <cell name>]
   [-noauth]
   [-localauth]  [-verbose]  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   vos rems  -s <machine name>  -p <partition name>
   -i <volume name or ID>  [-c <cell name>]  [-n]  [-l]  [-v]
   [-h]

DESCRIPTION

   Removes the ReadOnly replication site specified by  -machine
   and -partition from the VLDB entry for the indicated volume,
   which is ReadWrite.

WARNING

   This command should not be  used  as  the  standard  way  to
   remove a ReadOnly volume, as it can put the VLDB out of sync
   with the volumes on servers.  Use vos remove instead.

   This command is useful for removing ReadOnly sites that were
   mistakenly  created with the vos addsite command, before the
   vos release command actually releases them.  If  a  ReadOnly
   copy  already  exists  at  the  site,  it  is  not affected.
   However, if this ReadOnly site was the last site housing any
   version  of  the  volume,  then  the  entire VLDB entry will
   disappear, even if a copy  of  the  ReadOnly  version  still
   actually  exists  at  the site.  The discrepancy will not be
   noticed until someone runs the vos syncserv and vos syncvldb
   commands.

ARGUMENTS

   -server         specifies  the  file  server machine part of
                   the   site   definition   to   be   removed.
                   Abbreviated  forms  of  machine names may be
                   allowed  depending  on  the  naming  service
                   available at the time the command is issued;
                   see page xii in the introductory About  This
                   Manual chapter.  -partition
                   specifies the partition  name  part  of  the
                   site  definition to be removed.  In addition
                   to the full  /vicepx  form  of  a  partition
                   name,  three  shorter  forms are acceptable;
                   see page xii in the introductory About  This
                   Manual chapter.  -id
                   specifies  either  the  complete   name   or
                   volumeID number of a ReadWrite volume.

   -cell           specifies  the  cell  in  which  to  run the
                   command.  See section 8.3 in  the  Reference



                   Manual for more details.  -noauth
                   tells the Volume and Volume Location Servers
                   to  assign  the  identity  anonymous  to the
                   issuer.  See section 8.3  in  the  Reference
                   Manual for more details.  -localauth
                   constructs a server ticket using a key  from
                   /usr/afs/etc/KeyFile.    See  section 8.3 in
                   the  Reference  Manual  for  more   details.
                   -verbose
                   tells the Volume and Volume Location Servers
                   to  report  on  what  they are doing as they
                   execute the command.  See section 8.3 in the
                   Reference Manual for more details.  -help
                   prints the online help for this command.  Do
                   not  provide  any  other  arguments or flags
                   with this one.    See  section  8.3  in  the
                   Reference Manual for more details.

EXAMPLE

   The  following  removes the mistakenly defined ReadOnly site
   viceph on fs5.transarc.com from the VLDB  entry  for  volume
   root.cell.

   % vos remsite fs5.transarc.com h root.cell

PRIVILEGE REQUIRED

   Issuer must be listed in /usr/afs/etc/UserList on -server.

MORE INFORMATION

   vos delentry vos remove vos zap
